Bug 185387 - ppc64, ppc64iseries support missing in Extras buildsys
ppc64, ppc64iseries support missing in Extras buildsys
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
rawhide
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Jeremy Katz
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-14 02:23 EST by Ville Skyttä
Modified: 2008-05-06 20:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:26:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-03-14 02:23:17 EST
+++ This bug was initially created as a clone of Bug #183700 +++

-- Additional comment from ville.skytta@iki.fi on 2006-03-13 16:29 EST --
Looks good, thanks:

http://buildsys.fedoraproject.org/build-status/job.psp?uid=6288
http://buildsys.fedoraproject.org/build-status/job.psp?uid=6292

While preparing the lirc-kmod test build, I noticed that the ppc repo carries
also ppc64 and ppc64iseries kernels, and we'll probably want to build modules
for them too.  Judging from the builder listing at
http://buildsys.fedoraproject.org/build-status/builders.psp I guess there are no
builders available for them at the moment though.  Also, a quick peek to the
buildsys sources tells me that ppc64iseries config bits seem to be missing.  Is
that correct, or should I just try ppc64 and/or ppc64iseries builds too with
lirc-kmod?

-- Additional comment from dcbw@redhat.com on 2006-03-13 16:42 EST --
There's no ppc64iseries support yet, and I don't know what that would involve. 
I think it's just a matter of adding the correct config magic and things should
just work.  But it's not supported right yet.
Comment 1 Ville Skyttä 2006-03-16 02:17:13 EST
I added ppc64 and ppc64iseries to lirc-kmod's ExclusiveArch and kicked a build.
 No idea whether it's because of that or something else, but the build job has
sat in done/done status for all currently supported archs for 11+ hours, but is
still listed as "building" in the overall status page and hasn't been moved to
the repos.  http://buildsys.fedoraproject.org/build-status/job.psp?uid=6387
Comment 2 Ville Skyttä 2006-03-17 02:20:33 EST
Still no idea if it's related, but the job finally came to an end, but in an
unexpected way (the ppc job was already listed as done/done earlier):

http://buildsys.fedoraproject.org/logs/fedora-development-extras/6387-lirc-kmod-0.8.0-4.2.6.15_1.2054_FC5/ppc/job.log
IOError: [Errno 13] Permission denied: '/etc/mock/fedora-development-ppc-core.cfg'
Comment 3 Jeremy Katz 2006-03-17 10:24:19 EST
Unrelated, caused by my futzing with the build system and bringing up FE5 vs FE6
builder configs 
Comment 4 Bug Zapper 2008-04-03 13:07:41 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:26:38 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.